//个人动态
$(function(){
    KindEditor.ready(function(K){
        $("a[nhname='reply_btn']").live('click',function(){
            var params = {};
            params.kindutil = K;
            params.container = $(this).parent().parent('div');
            params.div_form = $("div[nhname='div_form']",params.container);
            params.form = $("form",params.div_form);
            params.textarea = $("textarea[name='user_notes']",params.div_form);
            //params.textarea.prev('div').css("height","60px");
            params.contentmsg = $("p[nhname='contentmsg']",params.div_form);
            params.toolbar_container = $("div[nhname='toolbar_container']",params.div_form);
            params.cancel_btn = $("a[nhname='cancel_btn']",params.div_form);
            params.submit_btn = $("a[nhname='submit_btn']",params.div_form);
            params.height = 55;
            if(params.textarea.data('init') == undefined){
                params.editor = init_editor(params);
                init_form(params);
                params.cancel_btn.click(function(){
                    nh_reset_form(params);
                    toggleAndSettingWordsVal(params.div_form, params.textarea);
                });
                params.submit_btn.click(function(){
                    params.form.submit();
                });
                params.textarea.data('init',1);
            }
            params.cancel_btn.click();
            setTimeout(function(){
                if(!params.div_form.is(':hidden')){
                    params.textarea.show();
                    params.textarea.focus();
                    params.textarea.hide();
                }
            },300);
        });

        $("a[nhname='sub_reply_btn']").live('click',function(){
            var params = {};
            params.kindutil = K;
            params.container = $(this).parent().parent('div');
            params.div_form = $("div[nhname='sub_div_form']",params.container);
            params.form = $("form",params.div_form);
            params.textarea = $("textarea[name='user_notes']",params.div_form);
            //params.textarea.prev('div').css("height","60px");
            params.contentmsg = $("p[nhname='sub_contentmsg']",params.div_form);
            params.toolbar_container = $("div[nhname='sub_toolbar_container']",params.div_form);
            params.cancel_btn = $("a[nhname='sub_cancel_btn']",params.div_form);
            params.submit_btn = $("a[nhname='sub_submit_btn']",params.div_form);
            params.height = 45;
            if(params.textarea.data('init') == undefined){
                params.editor = init_editor(params);
                init_form(params);
                params.cancel_btn.click(function(){
                    nh_reset_form(params);
                    toggleAndSettingWordsVal(params.div_form, params.textarea);
                });
                params.submit_btn.click(function(){
                    params.form.submit();
                });
                params.textarea.data('init',1);
            }
            params.cancel_btn.click();
            setTimeout(function(){
                if(!params.div_form.is(':hidden')){
                    params.textarea.show();
                    params.textarea.focus();
                    params.textarea.hide();
                }
            },300);
        });

        $("div[nhname='new_message']").each(function(){
            var params = {};
            params.kindutil = K;
            params.div_form = $(this);
            params.form = $("form",params.div_form);
            if(params.form==undefined || params.form.length==0){
                return;
            }
            params.textarea = $("textarea[nhname='new_message_textarea']",params.div_form);
            params.contentmsg = $("p[nhname='contentmsg']",params.div_form);
            params.toolbar_container = $("div[nhname='toolbar_container']",params.div_form);
            params.cancel_btn = $("#new_message_cancel_btn");
            params.submit_btn = $("#new_message_submit_btn");
            params.height = 80;
            if(params.textarea.data('init') == undefined){
                params.editor = init_editor(params);
                init_form(params);
                params.cancel_btn.click(function(){
                    nh_reset_form(params);
                });
                params.submit_btn.click(function(){
                    params.form.submit();
                });
                params.textarea.data('init',1);
                $(this).show();
            }
        });
    });
});
//个人动态 end